package wxcard

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/wxcard"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /wx_card/update wxcard UpdateWxCard
//
// Update wx card information | 更新WxCard
//
// Update wx card information | 更新WxCard
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WxCardInfo
//
// Responses:
//  200: BaseMsgResp

func UpdateWxCardHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WxCardInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := wxcard.NewUpdateWxCardLogic(r.Context(), svcCtx)
		resp, err := l.UpdateWxCard(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
